View Issue Details

IDProjectCategoryView StatusLast Update
0002905SOGoOpenChange backendpublic2014-09-30 09:50
Reporteronofabio Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Target Version2.2.10Fixed in Version2.2.10 
Summary0002905: Error during build form source
Description

After command make on sogo/OpenChange dir, have this error:

MAPIStoreContext.m: In function ‘-[MAPIStoreContext idForObjectWithKey:inFolderURL:]’:
MAPIStoreContext.m:537:7: error: implicit declaration of function ‘openchangedb_get_new_folderID’ [-Werror=implicit-function-declaration]
MAPIStoreContext.m: In function ‘-[MAPIStoreContext getNewFMIDs:]’:
MAPIStoreContext.m:600:3: error: implicit declaration of function ‘openchangedb_get_new_folderIDs’ [-Werror=implicit-function-declaration]
cc1obj: all warnings being treated as errors
make3: [obj/SOGoBackend.obj/MAPIStoreContext.m.o] Error 1
make2: [internal-bundle-run-compile-submake] Error 2
make1: [SOGoBackend.all.bundle.variables] Error 2
make:
[internal-all] Error 2

Can find functions openchangedb_get_new_folderID and openchangedb_get_new_folderIDS in source files.

Missing libs?

TagsNo tags attached.

Relationships

has duplicate 0002694 resolvedludovic Unable to compile Openchange 

Activities

florianj049

florianj049

2014-08-28 03:19

reporter   ~0007442

Hi,

same problem on debian 7.0.4
I tried different version and still have this error.

Any ideas ?

florianj049

florianj049

2014-08-28 05:37

reporter   ~0007443

Hi,

I tried to add in /usr/local/samba/include/libmapiproxy.h the following declarations at line 202 :

enum MAPISTATUS openchangedb_get_new_folderID(void , uint64_t );
enum MAPISTATUS openchangedb_get_new_folderIDs(struct openchangedb_context , TALLOC_CTX , uint64_t, struct UI8Array_r **);

I don't have the errors anymore but compile crash a few lines after :

Making all for library MAPIStoreSOGo...
Compiling file MAPIStoreSOGo.m ...
MAPIStoreSOGo.m: In function ‘mapistore_initbackend’:
MAPIStoreSOGo.m:1525:38: error: assignment from incompatible pointer type [-Werror]
MAPIStoreSOGo.m:1527:37: error: assignment from incompatible pointer type [-Werror]
cc1obj: all warnings being treated as errors
make[3]: [obj/MAPIStoreSOGo.obj/MAPIStoreSOGo.m.o] Erreur 1
make[2]:
[internal-library-all
] Erreur 2
make[1]: [MAPIStoreSOGo.all.library.variables] Erreur 2
make:
[internal-all] Erreur 2

Hope this help

mosmani

mosmani

2014-09-02 18:43

reporter   ~0007460

Hello,

i have same error:

Distributor ID: Debian
Description: Debian GNU/Linux 7.6 (wheezy)
Release: 7.6
Codename: wheezy

root@dc0:/usr/local/src/SOGo-2.2.7/OpenChange# make
This is gnustep-make 2.6.2. Type 'make print-gnustep-make-help' for help.
Python executable: /usr/bin/python
Auto-generating MAPIStorePropertySelectors.[hm]...
Making all for bundle SOGoBackend...
Creating SOGoBackend.MAPIStore/....
Compiling file MAPIApplication.m ...
Compiling file MAPIStoreActiveTables.m ...
Compiling file MAPIStoreAuthenticator.m ...
Compiling file MAPIStoreMapping.m ...
Compiling file MAPIStoreMIME.m ...
Compiling file MAPIStoreTypes.m ...
Compiling file MAPIStorePropertySelectors.m ...
Compiling file MAPIStoreSamDBUtils.m ...
Compiling file MAPIStoreUserContext.m ...
Compiling file SOGoMAPIDBMessage.m ...
Compiling file SOGoCacheGCSObject+MAPIStore.m ...
Compiling file MAPIStoreAppointmentWrapper.m ...
Compiling file MAPIStoreAttachment.m ...
Compiling file MAPIStoreAttachmentTable.m ...
Compiling file MAPIStoreContext.m ...
MAPIStoreContext.m: In function '-[MAPIStoreContext idForObjectWithKey:inFolderURL:]':
MAPIStoreContext.m:537:7: error: implicit declaration of function 'openchangedb_get_new_folderID' [-Werror=implicit-function-declaration]
MAPIStoreContext.m: In function '-[MAPIStoreContext getNewFMIDs:]':
MAPIStoreContext.m:600:3: error: implicit declaration of function 'openchangedb_get_new_folderIDs' [-Werror=implicit-function-declaration]
cc1obj: all warnings being treated as errors
make[3]: [obj/SOGoBackend.obj/MAPIStoreContext.m.o] Error 1
make[2]:
[internal-bundle-run-compile-submake] Error 2
make[1]: [SOGoBackend.all.bundle.variables] Error 2
make:
[internal-all] Error 2

Can someone help?

vinyard

vinyard

2014-09-03 03:54

reporter   ~0007461

Last edited: 2014-09-03 03:56

View 2 revisions

This has to do with the following commit in openchange git: https://github.com/openchange/openchange/commit/d52fefd6c1b8544a67faf3ff7dcdf33b9f2391b9

Looks to like the functions were replaced by the updated functions mapistore_indexing_get_new_folderID() and mapistore_indexing_get_new_folderIDs().

Zentyal's SOGo git commit with the change: https://github.com/Zentyal/sogo/commit/f1ba79e3dd7f03c1e1166900b9ea52cd0cfe2ab4

Edit: fixed commit URL

ludovic

ludovic

2014-09-30 09:50

administrator   ~0007577

Fixed with the pull request merge:

https://github.com/inverse-inc/sogo/commit/a263939d8abf6b0cbf4fab06f42bd8b9f6e633c8

Issue History

Date Modified Username Field Change
2014-08-27 11:03 onofabio New Issue
2014-08-28 03:19 florianj049 Note Added: 0007442
2014-08-28 05:37 florianj049 Note Added: 0007443
2014-09-02 18:43 mosmani Note Added: 0007460
2014-09-03 03:54 vinyard Note Added: 0007461
2014-09-03 03:56 vinyard Note Edited: 0007461 View Revisions
2014-09-05 14:50 ludovic Target Version => 2.2.9
2014-09-12 15:50 ludovic Relationship added has duplicate 0002694
2014-09-26 09:37 ludovic Target Version 2.2.9 => 2.2.10
2014-09-30 09:50 ludovic Note Added: 0007577
2014-09-30 09:50 ludovic Status new => resolved
2014-09-30 09:50 ludovic Fixed in Version => 2.2.10
2014-09-30 09:50 ludovic Resolution open => fixed
2014-09-30 09:50 ludovic Assigned To => ludovic